# ReactivateKey

### Description

Validates a license

```csharp
virtual bool ReactivateKey(string computerID)
```

### Parameters

| Parameter  |  Type  | Description                                                                                       |
| ---------- | :----: | ------------------------------------------------------------------------------------------------- |
| computerID | string | the unique computer identifier. The computerID is used when licenseBinding is set to UserDefined. |

### Return

| Type | Description                                   |
| ---- | --------------------------------------------- |
| bool | true if the license is valid; false otherwise |

### Remarks

Reactivates a license key in order to apply the latest server updates to the client. This is required when the following updates are performed on the server:

* The expiry date is updated
* The enabled features are updated
* The number of seats is updated


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/licensevalidator/methods/reactivatekey.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
